%define modname redis
%define soname %{modname}.so
%define inifile A91_%{modname}.ini
# define beta RC2

Name:		php-redis
Version:	5.3.4
Release:	%mkrel 2
Summary:	The phpredis extension provides an API for communicating with the Redis key-value store
Group:		Development/PHP
License:	PHP License
URL:		https://github.com/nicolasff/phpredis
Source0:	https://github.com/nicolasff/phpredis/archive/%{version}.tar.gz
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.1.0
Requires:       php-common = 3:8.1

%description
The phpredis extension provides an API for communicating with the Redis key-value store

%prep
%setup -q -n phpredis-%{version}
%autopatch -p1

%build
%serverbuild
%{_bindir}/phpize
%configure --with-libdir=%{_lib} \
  --enable-%{modname}=shared,%{_prefix}
%make_build

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 rpm/redis.ini %{buildroot}%{_sysconfdir}/php.d/%{inifile}


%files
%doc CREDITS
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%{_libdir}/php/extensions/redis.so


%changelog
* Fri Nov 26 2021 mokraemer <mokraemer> 5.3.4-2.mga9
+ Revision: 1759379
- rebuild for php 8.1

* Wed Mar 24 2021 mokraemer <mokraemer> 5.3.4-1.mga9
+ Revision: 1709562
- new version 5.3.4

* Sun Nov 29 2020 mokraemer <mokraemer> 5.3.2-2.mga8
+ Revision: 1650235
+ rebuild (emptylog)

* Thu Oct 22 2020 mokraemer <mokraemer> 5.3.2-1.mga8
+ Revision: 1638342
- new version 5.3.2

* Tue Jul 07 2020 mokraemer <mokraemer> 5.3.1-1.mga8
+ Revision: 1602860
- new version 5.3.1

* Wed Jul 01 2020 mokraemer <mokraemer> 5.3.0-1.mga8
+ Revision: 1600943
- new version 5.3.0

* Thu Jun 18 2020 mokraemer <mokraemer> 5.2.2-2.mga8
+ Revision: 1596235
- fix dep to current version

* Tue May 05 2020 mokraemer <mokraemer> 5.2.2-1.mga8
+ Revision: 1580670
- new version 5.2.2

* Sat Mar 21 2020 mokraemer <mokraemer> 5.2.1-1.mga8
+ Revision: 1558489
- new version 5.2.1

* Mon Mar 02 2020 mokraemer <mokraemer> 5.2.0-1.mga8
+ Revision: 1553068
- new version 5.2.0

* Tue Feb 18 2020 umeabot <umeabot> 5.1.1-3.mga8
+ Revision: 1538987
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 5.1.1-2.mga8
+ Revision: 1463539
+ rebuild (emptylog)

* Wed Nov 13 2019 mokraemer <mokraemer> 5.1.1-1.mga8
+ Revision: 1459816
- new version 5.1.1

* Thu Oct 31 2019 mokraemer <mokraemer> 5.1.0-1.mga8
+ Revision: 1457218
- new version 5.1.0

* Mon Oct 21 2019 mokraemer <mokraemer> 5.0.2-2.mga8
+ Revision: 1454938
- removed dirname

* Mon Jul 29 2019 mokraemer <mokraemer> 5.0.2-1.mga8
+ Revision: 1425112
- new verson 5.0.2

* Tue Jul 16 2019 mokraemer <mokraemer> 5.0.1-1.mga8
+ Revision: 1421860
- new version 5.0.1

* Tue Jul 02 2019 mokraemer <mokraemer> 5.0.0-1.mga8
+ Revision: 1417482
- new version 5.0.0

* Thu Mar 14 2019 mokraemer <mokraemer> 4.3.0-1.mga7
+ Revision: 1375916
- new version 4.3.0

* Wed Dec 12 2018 mokraemer <mokraemer> 4.2.0-2.mga7
+ Revision: 1340455
- rebuild

* Sun Nov 18 2018 mokraemer <mokraemer> 4.2.0-1.mga7
+ Revision: 1330657
- new version 4.2.0

* Fri Oct 26 2018 mokraemer <mokraemer> 4.1.1-3.mga7
+ Revision: 1326043
- updated requires

* Sun Sep 23 2018 umeabot <umeabot> 4.1.1-2.mga7
+ Revision: 1300240
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 mokraemer <mokraemer> 4.1.1-1.mga7
+ Revision: 1246614
- new version 4.1.1

* Tue Jul 10 2018 mokraemer <mokraemer> 4.1.0-1.mga7
+ Revision: 1242973
- new version 4.1.0

* Thu May 03 2018 mokraemer <mokraemer> 4.0.2-1.mga7
+ Revision: 1225719
- new version 4.0.2

* Sun Mar 18 2018 mokraemer <mokraemer> 4.0.0-1.mga7
+ Revision: 1210308
- new final version 4.0.0

* Wed Mar 07 2018 mokraemer <mokraemer> 4.0.0-0.RC2.1.mga7
+ Revision: 1207138
- new version 4.0.0RC2

* Fri Feb 09 2018 mokraemer <mokraemer> 4.0.0-0.RC1.1.mga7
+ Revision: 1199831
- new version 4.0.0RC1

* Wed Jan 03 2018 mokraemer <mokraemer> 3.1.6-1.mga7
+ Revision: 1189911
- new version

* Fri Dec 22 2017 mokraemer <mokraemer> 3.1.5-1.mga7
+ Revision: 1184004
- new version

* Tue Dec 12 2017 mokraemer <mokraemer> 3.1.5-0.RC2.mga7
+ Revision: 1182257
- new version

* Sun Dec 03 2017 mokraemer <mokraemer> 3.1.4-2.mga7
+ Revision: 1180999
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 3.1.4-1.mga7
+ Revision: 1177242
- rebuild against php 7

* Tue Mar 22 2016 oden <oden> 2.2.7-1.mga6
+ Revision: 994028
- 2.2.7

* Fri Feb 12 2016 umeabot <umeabot> 2.2.5-4.mga6
+ Revision: 958438
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.5-3.mga5
+ Revision: 745032
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.5-2.mga5
+ Revision: 687541
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 colin <colin> 2.2.5-1.mga5
+ Revision: 669614
- New version: 2.2.5

* Fri Jan 24 2014 pterjan <pterjan> 2.2.3-5.mga4
+ Revision: 567636
- Rebuild for new PHP

* Wed Dec 18 2013 oden <oden> 2.2.3-4.mga4
+ Revision: 558469
- rebuilt for php-5.5.7

* Sat Oct 19 2013 umeabot <umeabot> 2.2.3-3.mga4
+ Revision: 527862
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 2.2.3-2.mga4
+ Revision: 442693
- rebuilt for php-5.5.0RC3

* Sun Jun 09 2013 colin <colin> 2.2.3-1.mga4
+ Revision: 441281
- New version: 2.2.3
- Drop upstream patch now in release
- Build against php-5.5

* Wed Jan 30 2013 oden <oden> 2.2.2-5.mga3
+ Revision: 393317
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2.2.2-4.mga3
+ Revision: 377549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 colin <colin> 2.2.2-3.mga3
+ Revision: 345779
- Rebuild for new PHP

* Mon Jan 07 2013 colin <colin> 2.2.2-2.mga3
+ Revision: 341115
- Switch to better tarball from official upstream 2.2.2 tag.
- Add upstream patch to fix compilation (redis_stream_close gh+phpredis#282)
- Rebuild for latest PHP

* Sun Oct 21 2012 colin <colin> 2.2.2-1.mga3
+ Revision: 308916
- imported package php-redis

